org.apache.lucene.store

## Enum MockDirectoryWrapper.Throttling

- java.lang.Object
- - java.lang.Enum<MockDirectoryWrapper.Throttling>
  - - org.apache.lucene.store.MockDirectoryWrapper.Throttling

- All Implemented Interfaces:
    Serializable, Comparable<MockDirectoryWrapper.Throttling>
  Enclosing class:
    MockDirectoryWrapper

      public static enum MockDirectoryWrapper.Throttling
      extends Enum<MockDirectoryWrapper.Throttling>

  Enum for controlling hard disk throttling. Set via `#setThrottling(Throttling)`

  WARNING: can make tests very slow.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` always emulate a slow hard disk.
    `NEVER` never throttle output
    `SOMETIMES` sometimes (0.5% of the time) emulate a slow hard disk.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MockDirectoryWrapper.Throttling` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MockDirectoryWrapper.Throttling[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final MockDirectoryWrapper.Throttling ALWAYS

      always emulate a slow hard disk. could be very slow!

    - #### SOMETIMES

          public static final MockDirectoryWrapper.Throttling SOMETIMES

      sometimes (0.5% of the time) emulate a slow hard disk.

    - #### NEVER

          public static final MockDirectoryWrapper.Throttling NEVER

      never throttle output

  - ### Method Detail

    - #### values

          public static MockDirectoryWrapper.Throttling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MockDirectoryWrapper.Throttling c : MockDirectoryWrapper.Throttling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MockDirectoryWrapper.Throttling valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.